Technical requirements to run MURAL

Stay up-to-date for smooth sailing.

 

Wondering what browser and software versions you need to collaborate most efficiently in MURAL?

 

Here's a list of supported browsers and versions when using MURAL on the web:

 

  • Chrome: Version 51 and newer
  • Edge: Version 47 and newer, plus version 45 (ESR)
  • Safari: 9 and newer
  • Firefox: 46 and newer
  • Internet Explorer: 11

 


...and for our native apps:

  • iOS-enabled devices: Version 10 and newer
  • Windows-enabled devices: Windows 10

 

 

Now, you can collaborate as efficiently as ever!

Have more questions? Submit a request

Comments

Powered by Zendesk